PASTE(1)

NAME
paste - Write lines consisting of the sequentially corresponding lines from each FILE, separated by TABs, to standard output.

SYNOPSIS
paste [-s|--serial] [-d|--delimiters] [-z|--zero-terminated] [-h|--help] [-V|--version] [FILE]

DESCRIPTION
Write lines consisting of the sequentially corresponding lines from each FILE, separated by TABs, to standard output.

OPTIONS

-s, --serial
    paste one file at a time instead of in parallel

-d, --delimiters <LIST>
    reuse characters from LIST instead of TABs

-z, --zero-terminated
    line delimiter is NUL, not newline

-h, --help
    Print help

-V, --version
    Print version

[FILE] [default: -]

EXTRA
## Examples Join all the lines into a single line, using `TAB` as delimiter: paste {{[-s|--serial]}} {{path/to/file}} Join all the lines into a single line, using the specified delimiter: paste {{[-s|--serial]}} {{[-d|--delimiters]}} {{delimiter}} {{path/to/file}} Merge two files side by side, each in its column, using `TAB` as delimiter: paste {{path/to/file1}} {{path/to/file2}} Merge two files side by side, each in its column, using the specified delimiter: paste {{[-d|--delimiters]}} {{delimiter}} {{path/to/file1}} {{path/to/file2}} Merge two files, with lines added alternatively: paste {{[-d|--delimiters]}} '\n' {{path/to/file1}} {{path/to/file2}} > The examples are provided by the [tldr-pages project](https://tldr.sh) under the [CC BY 4.0 License](https://github.com/tldr-pages/tldr/blob/main/LICENSE.md). > > Please note that, as uutils is a work in progress, some examples might fail.

VERSION
v(uutils coreutils) 0.9.0